      subroutine endxla(imin,isec,ihun)                                 ENDX001
c ---------------------------------------                               ENDX002
c     endline for XLAT                                                  ENDX003
c ---------------------------------------                               ENDX004
      character time$*8                                                 ENDX005
                                                                        ENDX006
c --- create timestring ---                                             ENDX007
      if (isec.ge.10.and.ihun.lt.10) then                               ENDX008
         write(time$,'(i2,a1,i2,a2,i1)') imin,':',isec,':0',ihun        ENDX009
      else if (isec.ge.10.and.ihun.ge.10) then                          ENDX010
         write(time$,'(i2,a1,i2,a1,i2)') imin,':',isec,':',ihun         ENDX011
      else if (isec.lt.10.and.ihun.ge.10) then                          ENDX012
         write(time$,'(i2,a2,i1,a1,i2)') imin,':0',isec,':',ihun        ENDX013
      else if (isec.lt.10.and.ihun.lt.10) then                          ENDX014
         write(time$,'(i2,a2,i1,a2,i1)') imin,':0',isec,':0',ihun       ENDX015
      end if                                                            ENDX016
                                                                        ENDX017
       write(*,'(/a,a,a)')                                              ENDX018
     &'  Total elapsed time ',time$, ' -  ciao '                        ENDX019
      return                                                            ENDX020
      end                                                               ENDX021
                                                                        ENDX022
                                                                        ENDX023
                                                                        ENDX024
                                                                        ENDX025
                                                                        ENDX026
